petsc-3.12.1 2019-10-22
Report Typos and Errors

# DMCompositeRestoreLocalVectors

Restores local vectors for each part of a DMComposite.

### Synopsis

    #include "petscdmcomposite.h"
    PetscErrorCode  DMCompositeRestoreLocalVectors(DM dm,...)

Not Collective

### Input Parameter

dm -the packer object

### Output Parameter

Vec ... -the individual sequential Vecs

Not available from Fortran

### See Also

DMDestroy(), DMCompositeAddDM(), DMCreateGlobalVector(),
DMCompositeGather(), DMCompositeCreate(), DMCompositeGetISLocalToGlobalMappings(), DMCompositeGetAccess(), DMCompositeGetLocalVectors(), DMCompositeScatter(), DMCompositeGetEntries()

### Level

advanced

### Location

src/dm/impls/composite/pack.c

### Examples

src/snes/examples/tutorials/ex21.c.html
src/snes/examples/tutorials/ex22.c.html
src/snes/examples/tutorials/ex28.c.html
src/ts/examples/tutorials/ex14.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages